using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DotNettyFrom.config
{
    public class DBConfig
    {
        public const string DbFileName = "DotNettyFrom.accdb";


        public const string ConnStr = "Provider = Microsoft.ACE.OLEDB.12.0;Data Source = ";


        //历史表
        public const string IpHis = "ip_his";

        public const string SendHis = "send_his";
        public const string CcidHis = "ccid_his";
        public const string AddrHis = "addr_his";


        public static string GetTableName()
        {
            if (SystemConfig.CurrentType == SystemConfig.Dtu)
            {
                return "dtu";
            }
            else if (SystemConfig.CurrentType == SystemConfig.Water2)
            {
                return "water2";
            }
            return "dtu";
        }
    }
}